import React from 'react';

import { shape, string } from 'prop-types';
import { mergeClasses } from '@magento/venia-ui/lib/classify';
import defaultClasses from './footerMarketing.css';
import {Link} from "react-router-dom";

import Icon from "@magento/venia-ui/lib/components/Icon";
import { Truck, Award } from 'react-feather';

const FooterMarketing = props => {
    const classes = mergeClasses(defaultClasses, props.classes);

    return (
        <ul className={classes.root}>
            <li className={classes.item}>
                <Link to="#">
                    <Icon src={Truck} size={48} />
                </Link>

                <Link to="#">
                    <h2 className={classes.itemTitle}>
                        <span>Fast Shipping</span>
                    </h2>
                </Link>

                <p className={classes.itemBody}>
                    <span>Orders ships in one business day</span>
                </p>
            </li>
            <li className={classes.item}>
                <Link to="#">
                    <Icon src={Award} size={48} />
                </Link>

                <Link to="#">
                    <h2 className={classes.itemTitle}>
                        <span>Lifetime Warranty</span>
                    </h2>
                </Link>

                <p className={classes.itemBody}>
                    <span>Your satisfaction is our priority</span>
                </p>
            </li>
        </ul>
    );
};

FooterMarketing.propTypes = {
    classes: shape({
        root: string
    })
};

export default FooterMarketing;
